> For the complete documentation index, see [llms.txt](https://docs.mantic.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mantic.dev/mining-economy/api.md).

# API

**Download**: [**https://github.com/Fullpage12/MiningEconomyApiDocs/releases/**](https://github.com/Fullpage12/MiningEconomyApiDocs/releases/)

**JavaDocs (archived)**: <https://fullpage12.github.io/MiningEconomyApiDocs/>

## **Example Usages:**

```java
MiningEconomy miningEconomy = (MiningEconomy) JavaPlugin.getProvidingPlugin(MiningEconomy.class);

miningEconomy.setMine(location, mineType);
```

The above code will set a new mine at that location.

```java
 @EventHandler
    public void onCoinTransfer(CoinEvent event) {

        final CommandSender giver = event.getGiver();

        if (!event.getType().equals(CoinEvent.Types.SET) || giver.hasPermission("example.permission")) return;

        event.setCancelled(true);
        giver.sendMessage(ChatColor.translateAlternateColorCodes('&', "&cInsufficient Permission."));

    }
```

The above code will disallow anyone who does not have the permissions `example.permission` or if the type of transfer is not SET, the event will be cancelled.

```java
public class NightVisionEnchant extends Enchant {

    public NightVisionEnchant() {
        super("Night-Vision", false);
        setMaxLevel(1);
        setBaseCost(1);
        setCostIncreasePerUpgrade(0);
    }

    @Override
    public void onPlayerMine(PlayerMineEvent event) {
        event.getMPlayer().getPlayer().addPotionEffect(new PotionEffect(PotionEffectType.NIGHT_VISION, 20, 1));
        event.getMPlayer().sendPrefixMessages("&aYou have been given night vision!");
    }

}
```

The above is an example of how to make your own enchant.

```java
MiningEconomy miningEconomy = (MiningEconomy) JavaPlugin.getProvidingPlugin(MiningEconomy.class);
miningEconomy.registerEnchant(new NightVisionEnchant());
```

You will need to register the enchant like the above.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mantic.dev/mining-economy/api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
